Bug 1264685 - Applet not visible in MATE after login when no connection is established [NEEDINFO]
Applet not visible in MATE after login when no connection is established
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 13:35 EDT by Pavol Šimo
Modified: 2016-07-19 15:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:18:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: needinfo? (palo.simo)


Attachments (Terms of Use)

  None (edit)
Description Pavol Šimo 2015-09-20 13:35:01 EDT
Description of problem:
Applet is not visible in notification area until some connection is established.

Version-Release number of selected component (if applicable):
network-manager-applet-1.0.2-1.fc22.x86_64
mate-panel-1.10.1-1.fc22.x86_64

How reproducible:
always

Steps to Reproduce:
1. Log in using MATE session
2. Ensure that no active connection is established and ethernet cable is unplugged
3. Try to connect to any wireless/mobile network ;-)

Actual results:
There's no nm-applet icon visible even though nm-applet and notificaiton-area-applet are running

Expected results:
Visible icon of nm-applet in notification area

Additional info:
Workaround is to use nmcli. I think that the icon was visible in Fedora 21...
Comment 1 Jirka Klimes 2015-09-21 06:34:54 EDT
I don't know whether nm-applet is supposed to run in MATE, or the DE uses its own networking applet.

Anyway, can you check, in terminal, whether nm-applet is running
$ ps aux | grep nm-applet

Does the icon appear when you start nm-applet manually?
$ nm-applet

What do you get with
$ tail -n 10  /usr/share/applications/nm-applet.desktop

Check any MATE related autostart script/file.
Comment 2 Pavol Šimo 2015-09-23 13:52:10 EDT
Ofcourse the nm-applet is running. Plugging the ethernet cable correctly "wakes up" the applet and it becomes visible. Restarting NetworkManager service does the trick too (and it works even when there's no active connection).
Comment 3 Fedora Admin XMLRPC Client 2015-10-14 10:50:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Lubomir Rintel 2016-04-25 08:51:45 EDT
Hm, this is weird. Can't reproduce in Xfce and GNOME; mate-panel seems to want to drag in 150 M of dependencies :(

I'm wondering if you can try running the applet in some other DE to check if the issue is specific to the mate-panel?
Comment 5 Fedora End Of Life 2016-07-19 15:18:47 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.